#############################################
# This file conducts inferential analysis on the Iraq Public Perception
# household data set to understand the relationship between exposure to
# USAID messaging and perception of USAID
# Date: September 22, 2021
# R version 4.0.3 (2020-10-10)
# Platform: x86_64-w64-mingw32/x64 (64-bit)
# Running under: Windows 10 x64 (build 19042)
############################################

# set seed
set.seed(09222021)

# prep ----

source("code/00 Iraq Perception Study - prep.R")

hh <- dat %>%
  select(aware, # outcomes
         percept,
         percept_bin,
         percept_trend=B3_trend,
         percept_lastyr,
         percept_lastyr_bin,
         USAID_performance_ord=B3_rec,
         USAID_performance,
         percept_message,
         # seen_USAID, # exposure
         contains("seen_"),
         USAID_message,
         USAID_activity,
         USAID_branded_acts,
         info_treat,
         female, # covariates
         rural,
         education,
         madrassa,
         hhsize = A17,
         age_grp,
         rel_grp,
         employ=employ3,
         unemployed,
         inc,
         never_married,
         Gov,
         right_direction, # moderators
         GovPerf,
         unsafe_ord=F2_ord,
         unsafe=F2_bin,
         victim=F4_bin,
         witness=F5_bin
         , PSU
         , victim_witness #"victim_witness" is not in the dat object, commenting out for now
  )

svyr_hh <- svyrdat %>%
  select(aware, # outcomes
         percept,
         percept_bin,
         percept_trend=B3_trend,
         percept_lastyr,
         percept_lastyr_bin,
         USAID_performance_ord=B3_rec,
         USAID_performance,
         percept_message,
         info_treat,
         # seen_USAID, # exposure
         contains("seen_"),
         USAID_message,
         USAID_activity,
         USAID_branded_acts,
         female, # covariates
         rural,
         education,
         madrassa,
         hhsize = A17,
         age_grp,
         rel_grp,
         employ=employ3,
         unemployed,
         inc,
         never_married,
         Gov,
         right_direction,
         GovPerf,
         unsafe_ord=F2_ord,
         unsafe=F2_bin,
         victim=F4_bin,
         witness=F5_bin
         , victim_witness # "victim_witness" is not in the dat object, commenting out for now
  )





# General exposure and positive perception --------

# we have three main models
# a basic exposure to perception model
# the above with covariates
# the above with moderators
# adding in seen other donors

# base models
m1 <- svyglm(percept_bin  ~ seen_USAID
             , design = svyrdat
)

m2 <- svyglm(percept_bin  ~ USAID_message
             , design = svyrdat
)

m3 <- svyglm(percept_bin  ~ USAID_activity
             , design = svyrdat
)

m4 <- svyglm(percept_bin  ~ USAID_branded_acts
             , design = svyrdat
)


m5 <- svyglm(percept_bin  ~ info_treat
             , design = svyrdat
)


sjPlot::tab_model(m1
                  , m2
                  , m3
                  , m4
                  , m5
                  , show.p = FALSE
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels = c("Intercept"
                                    , "Seen USAID Logo"
                                    , "Exposed to USAID messaging"
                                    , "Exposed to USAID activities"
                                    , "Number of USAID activities exposed"
                                    , "Information treatment"
                  )
                  , dv.labels = c("Perception of USAID", "Perception of USAID"
                                  ,"Perception of USAID", "Perception of USAID"
                  )
                  , file="output/models/USAID perception and exposure bivariate models.doc"

)

# Seen USAID -----------
# now let's add in our basic covariates
m1.seen <- svyglm(percept_bin  ~ seen_USAID + female + rural + education + madrassa + hhsize + age_grp + as.factor(rel_grp)
             , design = svyr_hh
)

m2.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  , design = svyr_hh
)


m3.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)

m3.seen.donors <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  + seen_GIZ
                  + seen_DfID
                  + seen_NRC
                  + seen_JICA
                  + seen_CIDA
                  + seen_Sida
                  + seen_EU
                  + seen_IOM
                  + seen_WB
                  + seen_UNHCR
                  + seen_UNDP
                  + seen_UNICEF
                  , design = svyr_hh
)

# individual moderators
m4.seen.mod <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  # + GovPerf
                  # + unsafe
                  # + victim_witness
                  , design = svyr_hh
)


m5.seen.mod <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  # + right_direction # moderators
                  + GovPerf
                  # + unsafe
                  # + victim_witness
                  , design = svyr_hh
)

m6.seen.mod <- svyglm(percept_bin  ~ seen_USAID + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      # + right_direction # moderators
                      # + GovPerf
                      + unsafe
                      # + victim_witness
                      , design = svyr_hh
)

m7.seen.mod <- svyglm(percept_bin  ~ seen_USAID + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      # + right_direction # moderators
                      # + GovPerf
                      # + unsafe
                      + victim_witness
                      , design = svyr_hh
)

# heterogeneity

m4.seen <- svyglm(percept_bin  ~ seen_USAID*female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


m5.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + seen_USAID*rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


m6.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + seen_USAID*education
                  + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)



m7.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + seen_USAID*age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)



m8.seen <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + seen_USAID*as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


sjPlot::tab_model(m1.seen
                  , m2.seen
                  , m3.seen
                  , m3.seen.donors
                  , m4.seen
                  , m5.seen
                  , m6.seen
                  , m7.seen
                  , m8.seen
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Seen USAID Logo"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"
                                  , "Seen USAID logo (female)"
                                  , "Seen USAID logo (rural)"
                                  , "Seen USAID logo (by education)"
                                  , "Seen USAID logo (by age)"
                                  , "Seen USAID logo (Muslim-Shiite)"
                                  , "Seen USAID logo (Muslim-no sect)"

                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther Donors"
                                , "Model 5\nLogo + Female"
                                , "Model 6\nLogo + Rural"
                                , "Model 7\nLogo + education"
                                , "Model 8\nLogo + Age"
                                , "Model 9\nLogo + Religion"
                  )
                  , file="output/models/seen USAID logo and perception models without FE.doc"
)


# viz

seen_key <- data.frame(term=c("(Intercept)",
                            "female",
                            "rural",
                            "education",
                            "madrassa",
                            "hhsize",
                            "age_grp",
                            "as.factor(rel_grp)2",
                            "as.factor(rel_grp)3"
                            , "unemployed"
                            , "inc"
                            , "never_married"
                            , "factor(Gov)2"
                            , "factor(Gov)3"
                            , "factor(Gov)4"
                            , "factor(Gov)5"
                            , "right_direction"
                            , "seen_USAID"
                            , "USAID_message"
                            , "USAID_activity"
                            , "USAID_branded_acts"
                            , "info_treat"
                            , "GovPerf"
                            , "unsafe"
                            , "victim"
                            , "witness"
                            , "victim_witness"
                            , "seen_GIZ"
                            , "seen_DfID"
                            , "seen_NRC"
                            , "seen_JICA"
                            , "seen_CIDA"
                            , "seen_Sida"
                            , "seen_EU"
                            , "seen_IOM"
                            , "seen_WB"
                            , "seen_UNHCR"
                            , "seen_UNDP"
                            ,  "seen_UNICEF"

),
term_lab = c("Intercept"
             , "Female"
             , "Rural locality"
             , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
             , "Madrassa education"
             , "Household size"
             , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
             , "Muslim-Shiite"
             , "Muslim-no sect"
             , "Unemployed"
             , "Income (1 = low income,\n2=middle income\n3=high income"
             , "Never married"
             , "Ninawa"
             , "Al-Anbar"
             , "Baghdad"
             , "Al-Basra"
             , "Things are going in the right direction"
             , "Seen USAID logo"
             , "Exposed to USAID message"
             , "Exposed to USAID activities"
             , "Number of USAID activities exposed to"
             , "Information treatment"
             , "Government Performance Index (-1 to 2.3)"
             , "Feel unsafe"
             , "Victim of violence"
             , "Witness violence"
             , "Witness or victim of violence"
             , "Seen GIZ logo"
             , "Seen DFID logo"
             , "Seen NRC logo"
             , "Seen JICA logo"
             , "Seen CIDA logo"
             , "Seen SIDA logo"
             , "Seen EU logo"
             , "Seen IOM logo"
             , "Seen World Bank logo"
             , "Seen UNHCR logo"
             , "Seen UNDP logo"
             , "Seen UNICEF logo"
             )
)



m3.seen.nofe <- svyglm(percept_bin  ~ seen_USAID + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)

m3.seen_out <- tidy_out(m3.seen.nofe,
                    term_key=seen_key)


regplot(data=m3.seen_out,
        xmin=-.44,
        xmax=.40,
        limits=c(-.44, .40))

ggsave("output/viz/models/seen USAID and perception.png", width = 7, height = 4, type = "cairo", device = "png" )



# Exposed to USAID activities ---------------------------------------------
m1.exposed <- svyglm(percept_bin  ~ USAID_activity + female + rural + education + madrassa + hhsize + age_grp + as.factor(rel_grp)
                  , design = svyr_hh
)

m2.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  , design = svyr_hh
)


m3.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)

m3.exposed.donors <- svyglm(percept_bin  ~ USAID_activity + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     + seen_GIZ
                     + seen_DfID
                     + seen_NRC
                     + seen_JICA
                     + seen_CIDA
                     + seen_Sida
                     + seen_EU
                     + seen_IOM
                     + seen_WB
                     + seen_UNHCR
                     + seen_UNDP
                     + seen_UNICEF
                     , design = svyr_hh
)


# individual moderators
m4.exposed.mod <- svyglm(percept_bin  ~ USAID_activity + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      + right_direction # moderators
                      # + GovPerf
                      # + unsafe
                      # + victim_witness
                      , design = svyr_hh
)


m5.exposed.mod <- svyglm(percept_bin  ~ USAID_activity + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      # + right_direction # moderators
                      + GovPerf
                      # + unsafe
                      # + victim_witness
                      , design = svyr_hh
)

m6.exposed.mod <- svyglm(percept_bin  ~ USAID_activity + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      # + right_direction # moderators
                      # + GovPerf
                      + unsafe
                      # + victim_witness
                      , design = svyr_hh
)

m7.exposed.mod <- svyglm(percept_bin  ~ USAID_activity + female
                      + rural
                      + education + madrassa + hhsize
                      + age_grp
                      + as.factor(rel_grp)
                      + unemployed
                      + inc
                      + never_married
                      # + factor(Gov)
                      # + right_direction # moderators
                      # + GovPerf
                      # + unsafe
                      + victim_witness
                      , design = svyr_hh
)

# heterogeneity

m4.exposed <- svyglm(percept_bin  ~ USAID_activity*female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


m5.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + USAID_activity*rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


m6.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + rural
                  + USAID_activity*education
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)



m7.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + rural
                  + education + madrassa + hhsize
                  + USAID_activity*age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)



m8.exposed <- svyglm(percept_bin  ~ USAID_activity + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + USAID_activity*as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  , design = svyr_hh
)


sjPlot::tab_model(m1.exposed
                  , m2.exposed
                  , m3.exposed
                  , m3.exposed.donors
                  , m4.exposed
                  , m5.exposed
                  , m6.exposed
                  , m7.exposed
                  , m8.exposed
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Exposed to USAID activities"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"
                                  , "Exposed to USAID activities (female)"
                                  , "Exposed to USAID activities (rural)"
                                  , "Exposed to USAID activities (by education)"
                                  , "Exposed to USAID activities (by age)"
                                  , "Exposed to USAID activities (Muslim-Shiite)"
                                  , "Exposed to USAID activities (Muslim-no sect)"

                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther donors"
                                , "Model 5\nActivities + Female"
                                , "Model 6\nActivities + Rural"
                                , "Model 7\nActivities + education"
                                , "Model 8\nActivities + Age"
                                , "Model 9\nActivities + Religion"
                  )
                  , file="output/models/perception and exposed to USAID outcome models without FE.doc"
)


m3.exposed_out <- tidy_out(m3.exposed,
                        term_key=seen_key)


regplot(data=m3.exposed_out,
        xmin=-.45,
        xmax=.35,
        limits=c(-.45, .35))

ggsave("output/viz/models/exposed to USAID and perception.png", width = 7, height = 4, type = "cairo", device = "png")



# Number of exposed USAID activities ---------------------------------------------
m1.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female + rural + education + madrassa + hhsize + age_grp + as.factor(rel_grp)
                     , design = svyr_hh
)

m2.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     , design = svyr_hh
)


m3.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m3.numacts.donors <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     + seen_GIZ
                     + seen_DfID
                     + seen_NRC
                     + seen_JICA
                     + seen_CIDA
                     + seen_Sida
                     + seen_EU
                     + seen_IOM
                     + seen_WB
                     + seen_UNHCR
                     + seen_UNDP
                     + seen_UNICEF
                     , design = svyr_hh
)

# individual moderators
m4.numacts.mod <- svyglm(percept_bin  ~ USAID_branded_acts + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)


m5.numacts.mod <- svyglm(percept_bin  ~ USAID_branded_acts + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m6.numacts.mod <- svyglm(percept_bin  ~ USAID_branded_acts + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m7.numacts.mod <- svyglm(percept_bin  ~ USAID_branded_acts + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         + victim_witness
                         , design = svyr_hh
)

# heterogeneity

m4.numacts <- svyglm(percept_bin  ~ USAID_branded_acts*female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m5.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + USAID_branded_acts*rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m6.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + USAID_branded_acts*education
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m7.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + education + madrassa + hhsize
                     + USAID_branded_acts*age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m8.numacts <- svyglm(percept_bin  ~ USAID_branded_acts + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + USAID_branded_acts*as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


sjPlot::tab_model(m1.numacts
                  , m2.numacts
                  , m3.numacts
                  , m3.numacts.donors
                  , m4.numacts
                  , m5.numacts
                  , m6.numacts
                  , m7.numacts
                  , m8.numacts
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Number of USAID activities"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"
                                  , "Exposed to USAID activities (female)"
                                  , "Exposed to USAID activities (rural)"
                                  , "Exposed to USAID activities (by education)"
                                  , "Exposed to USAID activities (by age)"
                                  , "Exposed to USAID activities (Muslim-Shiite)"
                                  , "Exposed to USAID activities (Muslim-no sect)"

                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther donors"
                                , "Model 5\nActivities + Female"
                                , "Model 6\nActivities + Rural"
                                , "Model 7\nActivities + education"
                                , "Model 8\nActivities + Age"
                                , "Model 9\nActivities + Religion"
                  )
                  , file="output/models/perception and number of USAID activities models without FE.doc"
)


m3.numacts_out <- tidy_out(m3.numacts,
                           term_key=seen_key)


regplot(data=m3.numacts_out,
        xmin=-.44,
        xmax=.34,
        limits=c(-.44, .34))

ggsave("output/viz/models/number of USAID activities exposed and perception.png", width = 7, height = 4, type = "cairo", device = "png" )


# marginal effects
numacts_marg <- dplyr::as_tibble(sjPlot::get_model_data(m3.numacts, type = "pred", terms = "USAID_branded_acts"))


ggplot(numacts_marg, aes(x = x, y = predicted, group = group)) +
  geom_point(size = 30, stroke = 5, shape = 16, col = "#002F6C") +
  # geom_line(size = 2, col = "#002F6C") +
  geom_errorbar(aes(ymin = conf.low, ymax = conf.high, group = x), width = 0.05, size = 2, col = "#002F6C") +
  geom_text(aes(label = paste0(round(predicted*100, 0), "%")), col = "white", family = "Source Sans Pro", size = 12) +
  coord_cartesian(clip = "off") +
  scale_color_manual(values = c("#002F6C"))+
  # scale_y_continuous(expand = c(0.05, 0.0), limits = c(0.0, 0.25), labels = scales::percent_format(accuracy = 1)) +
  # scale_x_continuous(breaks = c(0,1),limits = c(0,1), minor_breaks = NULL, labels = c("Feel\nSafe", "Feel\nUnsafe")) +
  labs(x = "", y = "Perception of USAID") + theme(legend.position = "NA") +
  theme(axis.text = element_text(size = 30)
        , axis.title = element_text(size = 30))


# USAID messaging ---------------------------------------------
m1.message <- svyglm(percept_bin  ~ USAID_message + female + rural + education + madrassa + hhsize + age_grp + as.factor(rel_grp)
                     , design = svyr_hh
)

m2.message <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     , design = svyr_hh
)


m3.message <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m3.message.donors <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     + seen_GIZ
                     + seen_DfID
                     + seen_NRC
                     + seen_JICA
                     + seen_CIDA
                     + seen_Sida
                     + seen_EU
                     + seen_IOM
                     + seen_WB
                     + seen_UNHCR
                     + seen_UNDP
                     + seen_UNICEF
                     , design = svyr_hh
)


# individual moderators
m4.message.mod <- svyglm(percept_bin  ~ USAID_message + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)


m5.message.mod <- svyglm(percept_bin  ~ USAID_message + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m6.message.mod <- svyglm(percept_bin  ~ USAID_message + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m7.message.mod <- svyglm(percept_bin  ~ USAID_message + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         + victim_witness
                         , design = svyr_hh
)

# heterogeneity

m4.message <- svyglm(percept_bin  ~ USAID_message*female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m5.message <- svyglm(percept_bin  ~ USAID_message + female
                     + USAID_message*rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m6.message <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + USAID_message*education
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m7.message <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + education + madrassa + hhsize
                     + USAID_message*age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m8.message <- svyglm(percept_bin  ~ USAID_message + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + USAID_message*as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


sjPlot::tab_model(m1.message
                  , m2.message
                  , m3.message
                  , m3.message.donors
                  , m4.message
                  , m5.message
                  , m6.message
                  , m7.message
                  , m8.message
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Exposed to USAID messaging"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"
                                  , "Exposed to USAID activities (female)"
                                  , "Exposed to USAID activities (rural)"
                                  , "Exposed to USAID activities (by education)"
                                  , "Exposed to USAID activities (by age)"
                                  , "Exposed to USAID activities (Muslim-Shiite)"
                                  , "Exposed to USAID activities (Muslim-no sect)"

                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther donors"
                                , "Model 5\nActivities + Female"
                                , "Model 6\nActivities + Rural"
                                , "Model 7\nActivities + education"
                                , "Model 8\nActivities + Age"
                                , "Model 9\nActivities + Religion"
                  )
                  , file="output/models/USAID messaging and perception models without FE.doc"
)


m3.message_out <- tidy_out(m3.message,
                           term_key=seen_key)


regplot(data=m3.message_out,
        xmin=-.45,
        xmax=.32,
        limits=c(-.45, .32))

ggsave("output/viz/models/USAID messaging and perception.png", width = 7, height = 4, type = "cairo", device = "png" )

# Info treatment ---------------------------------------------
m1.info <- svyglm(percept_bin  ~ info_treat + female + rural + education + madrassa + hhsize + age_grp + as.factor(rel_grp)
                     , design = svyr_hh
)

m2.info <- svyglm(percept_bin  ~ info_treat + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     , design = svyr_hh
)


m3.info <- svyglm(percept_bin  ~ info_treat + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)

m3.info.donors <- svyglm(percept_bin  ~ info_treat + female
                  + rural
                  + education + madrassa + hhsize
                  + age_grp
                  + as.factor(rel_grp)
                  + unemployed
                  + inc
                  + never_married
                  # + factor(Gov)
                  + right_direction # moderators
                  + GovPerf
                  + unsafe
                  + victim_witness
                  + seen_GIZ
                  + seen_DfID
                  + seen_NRC
                  + seen_JICA
                  + seen_CIDA
                  + seen_Sida
                  + seen_EU
                  + seen_IOM
                  + seen_WB
                  + seen_UNHCR
                  + seen_UNDP
                  + seen_UNICEF
                  , design = svyr_hh
)



# individual moderators
m4.info.mod <- svyglm(percept_bin  ~ info_treat + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)


m5.info.mod <- svyglm(percept_bin  ~ info_treat + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m6.info.mod <- svyglm(percept_bin  ~ info_treat + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m7.info.mod <- svyglm(percept_bin  ~ info_treat + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         + victim_witness
                         , design = svyr_hh
)

# heterogeneity

m4.info <- svyglm(percept_bin  ~ info_treat*female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m5.info <- svyglm(percept_bin  ~ info_treat + female
                     + info_treat*rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m6.info <- svyglm(percept_bin  ~ info_treat + female
                     + rural
                     + info_treat*education
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m7.info <- svyglm(percept_bin  ~ info_treat + female
                     + rural
                     + education + madrassa + hhsize
                     + info_treat*age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)



m8.info <- svyglm(percept_bin  ~ info_treat + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + info_treat*as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


sjPlot::tab_model(m1.info
                  , m2.info
                  , m3.info
                  , m3.info.donors
                  , m4.info
                  , m5.info
                  , m6.info
                  , m7.info
                  , m8.info
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Information treatment"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"
                                  , "Exposed to USAID activities (female)"
                                  , "Exposed to USAID activities (rural)"
                                  , "Exposed to USAID activities (by education)"
                                  , "Exposed to USAID activities (by age)"
                                  , "Exposed to USAID activities (Muslim-Shiite)"
                                  , "Exposed to USAID activities (Muslim-no sect)"

                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther donors"
                                , "Model 5\nActivities + Female"
                                , "Model 6\nActivities + Rural"
                                , "Model 7\nActivities + education"
                                , "Model 8\nActivities + Age"
                                , "Model 9\nActivities + Religion"
                  )
                  , file="output/models/info treatment and perception models without FE.doc"
)


m3.info_out <- tidy_out(m3.info,
                           term_key=seen_key)


regplot(data=m3.info_out,
        xmin=-.42,
        xmax=.34,
        limits=c(-.42, .34))

ggsave("output/viz/models/info treatment and perception.png", width = 7, height = 4, type = "cairo", device = "png" )


# All exposure ------------------------------------------------------------

# base models
m1.all <- svyglm(percept_bin  ~ seen_USAID
             + USAID_message
             + USAID_activity
             + info_treat
             , design = svyrdat
)



m1.all_out <- tidy_out(m1.all,
                           term_key=seen_key)


regplot(data=m1.all_out,
        xmin=-.20,
        xmax=.40,
        limits=c(-.20, .40))

ggsave("output/viz/models/all exposure and perception.png", width = 7, height = 4, type = "cairo", device = "png")


m2.all <- svyglm(percept_bin  ~ seen_USAID
                     + USAID_message
                     + USAID_activity
                     # + USAID_branded_acts
                     + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     , design = svyr_hh
)


m3.all <- svyglm(percept_bin  ~ seen_USAID
                     + USAID_message
                     + USAID_activity
                     # + USAID_branded_acts
                     + female
                     + rural
                     + education + madrassa + hhsize
                     + age_grp
                     + as.factor(rel_grp)
                     + unemployed
                     + inc
                     + never_married
                     # + factor(Gov)
                     + right_direction # moderators
                     + GovPerf
                     + unsafe
                     + victim_witness
                     , design = svyr_hh
)


m3.all.donors <- svyglm(percept_bin  ~ seen_USAID
                 + USAID_message
                 + USAID_activity
                 # + USAID_branded_acts
                 + female
                 + rural
                 + education + madrassa + hhsize
                 + age_grp
                 + as.factor(rel_grp)
                 + unemployed
                 + inc
                 + never_married
                 # + factor(Gov)
                 + right_direction # moderators
                 + GovPerf
                 + unsafe
                 + victim_witness
                 + seen_GIZ
                 + seen_DfID
                 + seen_NRC
                 + seen_JICA
                 + seen_CIDA
                 + seen_Sida
                 + seen_EU
                 + seen_IOM
                 + seen_WB
                 + seen_UNHCR
                 + seen_UNDP
                 + seen_UNICEF
                 , design = svyr_hh
)

# individual moderators
m4.all.mod <- svyglm(percept_bin  ~ seen_USAID
                         + USAID_message
                         + USAID_activity
                         # + USAID_branded_acts
                         + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)


m5.all.mod <- svyglm(percept_bin  ~ seen_USAID
                         + USAID_message
                         + USAID_activity
                         # + USAID_branded_acts
                         + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         + GovPerf
                         # + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m6.all.mod <- svyglm(percept_bin  ~ seen_USAID
                         + USAID_message
                         + USAID_activity
                         # + USAID_branded_acts
                         + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         + unsafe
                         # + victim_witness
                         , design = svyr_hh
)

m7.all.mod <- svyglm(percept_bin  ~ seen_USAID
                         + USAID_message
                         + USAID_activity
                         # + USAID_branded_acts
                         + female
                         + rural
                         + education + madrassa + hhsize
                         + age_grp
                         + as.factor(rel_grp)
                         + unemployed
                         + inc
                         + never_married
                         # + factor(Gov)
                         # + right_direction # moderators
                         # + GovPerf
                         # + unsafe
                         + victim_witness
                         , design = svyr_hh
)


sjPlot::tab_model(m1.all
                  , m2.all
                  , m3.all
                  , m3.all.donors
                  , show.ci=.95
                  , show.aic=TRUE
                  , show.p = FALSE
                  , show.loglik=T
                  , auto.label = F
                  # , robust = TRUE
                  # , vcov.type = "HC1"
                  , collapse.ci=T
                  , show.intercept = T
                  , p.style = "stars"
                  , pred.labels=c("Intercept"
                                  , "Seen USAID logo"
                                  , "Exposed to USAID messaging"
                                  , "Exposed to USAID activities"
                                  , "Information treatment"
                                  # , "Number of USAID activities"
                                  , "Female"
                                  , "Rural locality"
                                  , "Overall education level\n(1=no ed, 2 = less than high school,\n3 = high school+)"
                                  , "Madrassa education"
                                  , "Household size"
                                  , "Age group (1 = 18-25,\n2 = 26-35, 3 = 36-45, 4 = 46+)"
                                  , "Muslim-Shiite"
                                  , "Muslim-no sect"
                                  , "Unemployed"
                                  , "Income (1 = low income,\n2=middle income\n3=high income"
                                  , "Never married"
                                  # , "Ninawa"
                                  # , "Al-Anbar"
                                  # , "Baghdad"
                                  # , "Al-Basra"
                                  , "Things are going in the right direction"
                                  , "Government Performance Index (-1 to 2.3)"
                                  , "Feel unsafe"
                                  , "Witness or victim of violence"
                                  , "Seen GIZ logo"
                                  , "Seen DFID logo"
                                  , "Seen NRC logo"
                                  , "Seen JICA logo"
                                  , "Seen CIDA logo"
                                  , "Seen SIDA logo"
                                  , "Seen EU logo"
                                  , "Seen IOM logo"
                                  , "Seen World Bank logo"
                                  , "Seen UNHCR logo"
                                  , "Seen UNDP logo"
                                  , "Seen UNICEF logo"


                  )
                  , dv.labels=c("Model 1\nBase"
                                ,"Model 2\nCovariates"
                                , "Model 3\nModerators"
                                , "Model 4\nOther donors"
                  )
                  , file="output/models/All exposure and perception models without FE.doc"
)


m3.all_out <- tidy_out(m3.all,
                           term_key=seen_key)


regplot(data=m3.all_out,
        xmin=-.44,
        xmax=.34,
        limits=c(-.44, .34))

ggsave("output/viz/models/all exposure and perception with moderators and covariates.png", width = 7, height = 4, type = "cairo", device = "png" )

